com.fasterxml.jackson.dataformat.avro.deser

## Class ScalarDefaults.IntDefaults

- java.lang.Object
- - com.fasterxml.jackson.dataformat.avro.deser.AvroFieldReader
  - - com.fasterxml.jackson.dataformat.avro.deser.ScalarDefaults.DefaultsBase
    - - com.fasterxml.jackson.dataformat.avro.deser.ScalarDefaults.IntDefaults

- Enclosing class:
    ScalarDefaults

      protected static final class ScalarDefaults.IntDefaults
      extends ScalarDefaults.DefaultsBase

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `_defaults`

    - ### Fields inherited from class com.fasterxml.jackson.dataformat.avro.deser.AvroFieldReader

      `_isSkipper, _name, _typeId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IntDefaults(String name, int v)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.fasterxml.jackson.core.JsonToken` | `readValue(AvroReadContext parent, AvroParserImpl parser)`

    - ### Methods inherited from class com.fasterxml.jackson.dataformat.avro.deser.ScalarDefaults.DefaultsBase

      `skipValue`

    - ### Methods inherited from class com.fasterxml.jackson.dataformat.avro.deser.AvroFieldReader

      `construct, constructSkipper, getName, getTypeId, isSkipper`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _defaults

          protected final int _defaults

  - ### Constructor Detail

    - #### IntDefaults

          public IntDefaults(String name,
                             int v)

  - ### Method Detail

    - #### readValue

          public com.fasterxml.jackson.core.JsonToken readValue(AvroReadContext parent,
                                                                AvroParserImpl parser)

      Specified by:
        `readValue` in class `ScalarDefaults.DefaultsBase`

Copyright © 2019 FasterXML. All rights reserved.